<!--
 * @Author: fhj
 * @LastEditors: fhj
 * @Description: 
-->
# Checkbox 多选组件

Checkbox 多选


## Checkbox Attributes

| 参数          | 说明                                            | 类型    | 可选值     | 默认值  |
| ------------- | ----------------------------------------------- | ------- | ---------- | ------- |
| v-model          | 双向绑定数据                                    | String/Number  | -          | ''       |
| disabled     | disabled状态，可以传Fn                  | Function,Boolean | -        | `false`  |
| list     | 可选项数组                   | Array | -        |`[]` |
| listName     | 展示用name                   | String | -        |`name` |
| listkey     | 选项key                   | String | -        |`value` |
| hasCheckAll     | 是否有全选                   | Boolean | -        |`false` |
| attrs         | 其他跟el-radio一致                      | Any     |            |

> 其他与el-radio所有操作一样




## Checkbox Events

| 事件名称 | 说明                 | 回调参数                                                                        |
| -------- | -------------------- | -------------------------------------- |
| change   | 值发生改变时触发 | value |

## Demo

### 基本用法

```html
<template>
  <div class="test">
      <f-checkbox :list="list" v-model="checkbox" hasCheckAll disabled ></f-checkbox>
  </div>
</template>

<script>
export default {
  name: 'Checkbox',
  data() {
    return {
      list:[
        {
          name:'checkbox1',
          value:'checkbox1'
        },
        {
          name:'checkbox2',
          value:'checkbox2'
        }
      ],
      checkbox:[]
    };
  },
  methods:{
  }
};
</script>


<!-- checkbox-basic-usage.vue -->
```
